IF OBJECT_ID('dbo.vw_fco_tipo_cotiz') IS NOT NULL
    DROP VIEW dbo.vw_fco_tipo_cotiz
GO
CREATE VIEW dbo.vw_fco_tipo_cotiz  
AS  
SELECT tg.compania, tg.trabajador, tipo_cotizante =   
    CASE WHEN ISNUMERIC(ISNULL(tco.dato, '1')) = 1 THEN CONVERT(tinyint, ISNULL(tco.dato, '1')) ELSE '00' END  
FROM trabajadores_grales tg  
LEFT JOIN rel_trab_agr tco ON tg.compania = tco.compania AND tg.trabajador = tco.trabajador  
    AND tco.agrupacion = ISNULL((SELECT x.dato FROM vw_fdt_parametros x  
                          WHERE x.pais = 'COL' AND x.compania = tg.compania  
                            AND x.parametro = 'autoliq' AND x.secuencia = 41), 'TIPO_COTIZ')
GO
GRANT SELECT ON dbo.vw_fco_tipo_cotiz TO PUBLIC
GO
